Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

19.06.2015, 19:19

icu und ffmpeg Durcheinander verhindert world update

Hi,
ich konnte länger nicht updaten, weil immer irgendwas geblockt hat, was ich nicht lösen konnte. Nun muss es aber wirklich mal, und ich lande hier:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
emerge -avuDN @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-base/xorg-server:0

  (x11-base/xorg-server-1.16.4:0/1.16.1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-base/xorg-server-1.17.1-r1:0/1.17.1::gentoo, installed) pulled in by
    x11-base/xorg-server:0/1.17.1= required by (x11-drivers/xf86-input-wacom-0.24.0:0/0::gentoo, installed)
                        ^^^^^^^^^^                                                                                                             

dev-libs/icu:0

  (dev-libs/icu-55.1:0/55::gentoo, installed) pulled in by
    >=dev-libs/icu-51.2-r1:0/55=[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/libxml2-2.9.2-r1:2/2::gentoo, installed)
                          ^^^^^^                                                                                                                                
    (and 2 more with the same problem)

  (dev-libs/icu-54.1-r1:0/54a::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/icu-3.8.1-r1:0/54a= required by (net-libs/webkit-gtk-2.4.8:3/25::gentoo, installed)
                           ^^^^^^^                                                                                                    
    (and 3 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The ebuild selected to satisfy ">=app-misc/tracker-1.2" has unmet requirements.
- app-misc/tracker-1.2.5::gentoo USE="exif ffmpeg flac gif gstreamer gtk iso jpeg miner-fs mp3 nautilus pdf thunderbird tiff upower vorbis xml -cue (-eds) -firefox-bookmarks -gsf -iptc -networkmanager -playlist -rss -test -upnp-av -xmp -xps" ABI_X86="64"

  The following REQUIRED_USE flag constraints are unsatisfied:
    at-most-one-of ( gstreamer ffmpeg )

  The above constraints are a subset of the following complete expression:
    at-most-one-of ( gstreamer ffmpeg ) cue? ( gstreamer ) upnp-av? ( gstreamer ) !miner-fs? ( !cue !exif !flac !gif !gsf !iptc !iso !jpeg !mp3 !pdf !playlist !tiff !vorbis !xml !xmp !xps )

(dependency required by "gnome-base/gnome-extra-apps-3.14.0-r1::gentoo[tracker]" [ebuild])
(dependency required by "gnome-base/gnome-3.14.0::gentoo[extras]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


icu ist global in make.conf gesetzt, der diesbezügliche Fehler bleibt aber.

Wie krieg ich das hin?
Rüdiger

2

19.06.2015, 22:09

Ich bin ein bißchen weiter (?) gekommen, aber irgendwas ist immer noch total daneben. Ich fürchte, irgendwas stimmt mit dem multilib-Gedöns noch nicht:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-libs/libdvdcss-1.3.0:1.2::gentoo [1.2.13-r1:1.2::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 348 KiB
[ebuild     U  ] net-wireless/wireless-regdb-20150605::gentoo [20150313::gentoo] 16 KiB
[ebuild  N     ] dev-libs/libsodium-1.0.2:0/13::gentoo  USE="asm urandom -minimal -static-libs" 1.635 KiB
[ebuild     U  ] app-portage/portage-utils-0.56::gentoo [0.53::gentoo] USE="nls -static" 502 KiB
[ebuild     U  ] sys-fs/fuse-2.9.4::gentoo [2.9.3::gentoo] USE="-examples -static-libs" 564 KiB
[ebuild     U  ] virtual/perl-Sys-Syslog-0.330.0-r2::gentoo [0.330.0-r1::gentoo] 0 KiB
[ebuild     U  ] virtual/perl-Time-Local-1.230.0-r2::gentoo [1.230.0-r1::gentoo] 0 KiB
[ebuild     U  ] virtual/perl-File-Temp-0.230.400-r3::gentoo [0.230.400-r2::gentoo] 0 KiB
[ebuild     UD ] dev-libs/icu-54.1-r1:0/54a::gentoo [55.1:0/55::gentoo] USE="-debug -doc -examples -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-libs/libdvdread-5.0.3::gentoo [4.2.1::gentoo] USE="css -static-libs%" ABI_X86="32 (64) (-x32)" 386 KiB
[ebuild     U  ] media-libs/libdvdnav-5.0.3::gentoo [4.2.1::gentoo] USE="-static-libs%" ABI_X86="32 (64) (-x32)" 364 KiB
[ebuild     U  ] dev-libs/openssl-1.0.1o::gentoo [1.0.1m::gentoo] USE="tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -static-libs {-test} -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 4.441 KiB
[ebuild   R    ] dev-qt/qtcore-4.8.6-r2:4::gentoo  USE="exceptions glib iconv icu* qt3support ssl (-aqua) -debug -pch" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] dev-db/sqlite-3.8.10.1:3::gentoo  USE="icu* readline -debug -doc -secure-delete -static-libs -tcl {-test} -tools" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] dev-libs/nss-3.19.1::gentoo [3.19-r1::gentoo] USE="cacert nss-pem -utils" ABI_X86="32 (64) (-x32)" 6.791 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.0.5:4.0.5::gentoo [3.19.3:3.19.3::gentoo, 4.0.0:4.0.0::gentoo, 4.0.1:4.0.1::gentoo, 4.0.4:4.0.4::gentoo] USE="-build -deblob -experimental -symlink" 172 KiB
[ebuild   R    ] dev-lang/spidermonkey-24.2.0-r2:24::gentoo  USE="icu* system-icu -debug -jit -minimal -static-libs {-test}" 0 KiB
[ebuild   R    ] dev-libs/boost-1.55.0-r2:0/1.55.0::gentoo  USE="icu* nls python threads -context -debug -doc -mpi -static-libs -tools" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 0 KiB
[ebuild  N     ] dev-libs/dee-1.2.7::gentoo  USE="icu introspection -debug -doc -examples -static-libs {-test}" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 696 KiB
[ebuild     U  ] dev-python/pillow-2.8.1::gentoo [2.5.3-r1::gentoo] USE="jpeg lcms tiff truetype zlib -doc -examples -jpeg2k {-test} -tk -webp (-scanner%)" PYTHON_TARGETS="python2_7 python3_3 (-pypy) -python3_4" 9.059 KiB
[ebuild   R    ] sys-devel/gcc-4.8.4:4.8::gentoo  USE="cxx fortran (multilib) nls nptl openmp sanitize (-altivec) (-awt) -debug% -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) -mudflap (-multislot) -nopie -nossp -objc -objc++ -objc-gc -regression-test -vanilla" 26 KiB
[ebuild     U  ] app-eselect/eselect-wxwidgets-20140423::gentoo [20131230::gentoo] 7 KiB
[ebuild     U  ] net-fs/wdfs-1.4.2-r1::gentoo [1.4.2::gentoo] 0 KiB
[ebuild     U  ] dev-perl/XML-LibXML-2.12.100::gentoo [2.1.400-r1::gentoo] USE="{-test}" 454 KiB
[ebuild     U  ] dev-python/eyeD3-0.7.5:0.7::gentoo [0.7.4-r2:0.7::gentoo] PYTHON_TARGETS="python2_7" 217 KiB
[ebuild     U  ] dev-db/postgresql-9.4.3:9.4::gentoo [9.4.2:9.4::gentoo] USE="nls pam python readline server ssl threads xml zlib -doc -kerberos -ldap -perl -pg_legacytimestamp (-selinux) -static-libs -tcl -uuid" LINGUAS="de -af -cs -en -es -fa -fr -hr -hu -it -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" PYTHON_SINGLE_TARGET="python2_7 -python3_3 -python3_4" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 17.206 KiB
[ebuild     U  ] virtual/libgudev-215-r3::gentoo [215-r1::gentoo] USE="introspection (systemd) (-static-libs)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] dev-libs/apr-1.5.2:1::gentoo [1.5.0-r2:1::gentoo] USE="urandom -doc -older-kernels-compatibility (-selinux) -static-libs" 808 KiB
[ebuild     U  ] x11-libs/cairo-1.14.2::gentoo [1.12.18-r1::gentoo] USE="X glib opengl svg xcb (-aqua) -debug (-directfb) (-gles2) -static-libs -valgrind -xlib-xcb (-drm%) (-gallium%) (-openvg%) (-qt4%)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] net-misc/dhcpcd-6.9.0::gentoo [6.6.7::gentoo] USE="embedded%* ipv6 udev" 173 KiB
[ebuild     U  ] sys-apps/usbutils-008-r1::gentoo [008::gentoo] USE="python (-zlib%*)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild     U  ] app-vim/vim-misc-1.17.1::gentoo [1.8.5::gentoo] 55 KiB
[ebuild   R    ] net-nds/openldap-2.4.38-r2::gentoo  USE="berkdb crypt icu* ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -iodbc -kerberos -odbc -overlays -perl -samba -sasl (-selinux) -slp -smbkrb5passwd" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] net-misc/vpnc-0.5.3_p550::gentoo [0.5.3_p527-r1::gentoo] USE="gnutls -resolvconf (-selinux)" 0 KiB
[ebuild     U  ] www-plugins/adobe-flash-11.2.202.466::gentoo [11.2.202.460::gentoo] USE="(-debug) -kde (-selinux)" ABI_X86="32 64 (-x32)" CPU_FLAGS_X86="sse2" 13.849 KiB
[ebuild     U  ] net-ftp/gftp-2.0.19-r2::gentoo [2.0.19-r1::gentoo] USE="gtk ssl" 0 KiB
[ebuild     U  ] lxde-base/lxtask-0.1.6::gentoo [0.1.4-r1::gentoo] 133 KiB
[ebuild     U  ] media-sound/gmpc-11.8.16-r1::gentoo [11.8.16::gentoo] USE="nls unique -xspf" 0 KiB
[ebuild     U  ] dev-util/cmake-3.2.2::gentoo [2.8.12.2-r1::gentoo] USE="ncurses qt4 -doc% -emacs (-qt5) -system-jsoncpp% {-test}" 6.288 KiB
[ebuild     U ~] dev-libs/qtkeychain-0.5.0::gentoo [0.4.0::gentoo] USE="qt4 qt5" 0 KiB
[ebuild     U  ] dev-libs/jsoncpp-0.10.2-r1::gentoo [0.5.0-r1::gentoo] USE="-doc {-test%}" 193 KiB
[ebuild     U  ] dev-libs/apr-util-1.5.4:1::gentoo [1.5.3-r2:1::gentoo] USE="berkdb gdbm mysql -doc -freetds -ldap -nss -odbc -openssl -postgres -sqlite -static-libs" 679 KiB
[ebuild     U  ] net-ftp/pure-ftpd-1.0.40::gentoo [1.0.36::gentoo] USE="mysql pam ssl -anondel -anonperm -anonren -anonres -caps -charconv -implicittls% -ldap -noiplog -paranoidmsg -postgres -resolveids (-selinux) -sysquota -vchroot -xinetd" 484 KiB
[ebuild   R    ] www-servers/apache-2.2.29:2::gentoo  USE="ssl threads -debug -doc -ldap (-selinux) -static -suexec" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -authn_alias -cern_meta -charset_lite -dumpio -log_forensic -proxy_ftp -proxy_scgi -reqtimeout -substitute -version" APACHE2_MPMS="prefork* -event -itk -peruser -worker" 0 KiB
[ebuild     U  ] dev-java/icedtea-bin-7.2.5.5:7::gentoo [7.2.5.3:7::gentoo] USE="X alsa cups pulseaudio%* -cjk -doc -examples -nsplugin (-selinux) -source -webstart" 51.409 KiB
[ebuild  N     ] dev-java/icedtea-sound-1.0.1::gentoo  USE="-doc {-test}" 1.480 KiB
[ebuild     U ~] media-video/ffmpeg-2.2.15:0/52.55.55::gentoo [2.2.14:0/52.55.55::gentoo] USE="X aac alsa bzip2 encode hardcoded-tables iconv mp3 network opengl pulseaudio sdl threads truetype vaapi vdpau vorbis x264 xvid zlib -aacplus (-altivec) -amr -amrenc (-armv5te) (-armv6) (-armv6t2) (-armvfp) -bluray -cdio -celt -cpudetection -debug -doc -examples -faac -fdk -flite -fontconfig -frei0r -gme -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -ladspa -libass -libcaca -libsoxr -libv4l (-mips32r2) (-mipsdspr1) (-mipsdspr2) (-mipsfpu) -modplug (-neon) -openal -openssl -opus -oss -pic -quvi -rtmp -schroedinger -speex -ssh -static-libs {-test} -theora -twolame -v4l -vpx -wavpack -webp -x265 -zvbi" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3 -avx -avx2 -fma3 -fma4 -sse4_1 -sse4_2 -ssse3" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher" 6.871 KiB
[ebuild  N     ] media-video/libav-11.3:0/11::gentoo  USE="X aac alsa bzip2 encode gpl hardcoded-tables mp3 network pulseaudio sdl ssl threads truetype vaapi vdpau vorbis x264 xvid zlib (-altivec) -amr (-armv5te) (-armv6) (-armv6t2) (-armvfp) -bs2b -cdio -cpudetection -custom-cflags -debug -doc -faac -fdk -fontconfig -frei0r -gsm -ieee1394 -jack -jpeg2k (-neon) -openssl -opus -oss -pic -rtmp -schroedinger -speex -static-libs {-test} -theora -tools -twolame -v4l -vpx -wavpack -webp -x265" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3 -avx -avx2 -fma3 -fma4 -sse4_1 -sse4_2 -ssse3 -xop" 4.746 KiB
[ebuild     U  ] virtual/ffmpeg-9-r2::gentoo [9-r1::gentoo] USE="X encode mp3 sdl threads truetype vaapi vdpau x264 -gsm -jpeg2k -libav% -opus -speex -theora" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-plugins/gst-plugins-libav-1.4.5-r1:1.0::gentoo [1.2.4-r1:1.0::gentoo] USE="orc -libav" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/gegl-0.2.0-r2::gentoo  USE="cairo ffmpeg* jpeg png sdl svg -debug -jpeg2k -lensfun -libav -openexr -raw -umfpack" CPU_FLAGS_X86="mmx sse" 0 KiB
[ebuild   R    ] app-misc/strigi-0.7.8-r1::gentoo  USE="dbus exif fam ffmpeg* qt4 -clucene -debug -inotify -libav (-log) {-test}" 0 KiB
[ebuild     U  ] media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r4:0.10::gentoo [0.10.13_p201211-r3:0.10::gentoo] USE="orc -libav" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-sound/mpd-0.19.9-r1::gentoo [0.18.16::gentoo] USE="alsa bzip2 curl ffmpeg fifo flac glib%* icu%* id3tag inotify* ipv6 libsamplerate mad network ogg pipe pulseaudio systemd tcpd unicode vorbis -adplug -ao -audiofile -cdio -debug -expat% -faad -fluidsynth -gme -jack -lame -libav -libmpdclient -libsoxr% -mikmod -mms -modplug -mpg123 -musepack -nfs% -openal -opus -oss -recorder -samba% (-selinux) -sid -sndfile -soundcloud -sqlite -twolame -upnp% -wavpack -wildmidi -zeroconf -zip" 686 KiB
[ebuild     U  ] media-libs/xine-lib-1.2.6-r1:1::gentoo [1.2.6:1::gentoo] USE="X a52 aac alsa css dts flac gtk ipv6 jpeg mad mmap mng nls opengl pulseaudio sdl truetype vaapi vdpau vorbis xcb xv xvmc -aalib (-altivec) -bluray -directfb -dvb -dxr3 -fbcon -fusion -imagemagick -jack -libav% -libcaca -modplug -musepack -oss -samba -speex -theora -v4l -vcd -vdr (-vidix) (-vis) -vpx -wavpack -xinerama" 0 KiB
[ebuild   R    ] media-plugins/alsa-plugins-1.0.29::gentoo  USE="ffmpeg* libsamplerate pulseaudio -debug -jack -speex" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] www-client/firefox-38.0.5::gentoo [37.0.2::gentoo] USE="dbus gmp-autoupdate gstreamer jemalloc3%* jit%* minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug -egl% -hardened (-neon) (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-libvpx -system-sqlite {-test} -wifi" LINGUAS="de -af -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -cy -da -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -te -th -tr -uk -vi -xh -zh_CN -zh_TW" 176.538 KiB
[ebuild   R    ] media-video/gpac-0.5.1_pre5456::gentoo  USE="a52 aac alsa ffmpeg* ipv6 jpeg mad opengl png pulseaudio sdl ssl truetype vorbis xml xvid -debug -dvb -jack -jpeg2k -oss -static-libs -theora" 0 KiB
[ebuild   R    ] media-sound/sox-14.4.1::gentoo  USE="alsa encode ffmpeg* flac mad ogg openmp png pulseaudio -amr -ao -debug -id3tag -ladspa -oss -sndfile -static-libs -twolame -wavpack" 0 KiB
[ebuild     U  ] app-text/ghostscript-gpl-9.15-r1::gentoo [9.10-r2::gentoo] USE="X cups dbus gtk -djvu -idn -static-libs" LINGUAS="de -ja -ko -zh_CN -zh_TW" 28.156 KiB
[ebuild     U ~] x11-drivers/nvidia-drivers-352.21::gentoo [352.09::gentoo] USE="X acpi gtk3 multilib tools -gtk2 -pax_kernel -uvm" 75.814 KiB
[ebuild     U  ] app-misc/klavaro-3.0.1::gentoo [1.9.7::gentoo] USE="static-libs%*" 1.114 KiB
[ebuild   R   ~] media-video/handbrake-0.9.9-r1::gentoo  USE="ffmpeg* gstreamer gtk -fdk" 0 KiB
[ebuild   R   ~] gnome-extra/zeitgeist-0.9.15::gentoo  USE="datahub fts icu* introspection nls telepathy -downloads-monitor -extensions -plugins -sql-debug" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild     U  ] net-misc/networkmanager-1.0.2-r1::gentoo [1.0.2::gentoo] USE="bluetooth dhclient introspection modemmanager ncurses nss ppp systemd vala wext wifi -connection-sharing (-consolekit) -dhcpcd -gnutls -resolvconf (-selinux) -teamd {-test} -zeroconf" 0 KiB
[ebuild     U  ] app-emulation/qemu-2.2.1-r2::gentoo [2.2.0::gentoo] USE="aio alsa bluetooth caps curl fdt filecaps gtk jpeg ncurses nls opengl pin-upstream-blobs png pulseaudio python sdl seccomp threads usb uuid vhost-net vnc -accessibility -debug (-glusterfs) -infiniband -iscsi -lzo -nfs -numa -rbd -sasl (-selinux) -smartcard -snappy -spice -ssh -static -static-softmmu -static-user -systemtap -tci {-test} -tls -usbredir -vde -virtfs -xattr -xen -xfs" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="i386 -aarch64 -alpha -arm -cris -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -or32 -ppc -ppc64 -ppcemb -s390x -sh4 -sh4eb -sparc -sparc64 -unicore32 -x86_64 -xtensa -xtensaeb" QEMU_USER_TARGETS="i386 -aarch64 -alpha -arm -armeb -cris -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -or32 -ppc -ppc64 -ppc64abi32 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -unicore32 -x86_64" 0 KiB
[ebuild     U  ] app-arch/p7zip-9.20.1-r5::gentoo [9.20.1-r4::gentoo] USE="pch wxwidgets -doc -kde -rar (-static)" 0 KiB
[ebuild  NS    ] dev-lang/php-5.6.9:5.6::gentoo [5.5.25:5.5::gentoo] USE="apache2 berkdb bzip2 cli crypt ctype exif fileinfo filter gd gdbm hash iconv ipv6 json mysql nls opcache phar posix readline session simplexml spell ssl systemd threads tokenizer truetype unicode xml zlib -bcmath -calendar -cdb -cgi -cjk -curl -debug -embed -enchant (-firebird) -flatfile -fpm (-frontbase) -ftp -gmp -imap -inifile -intl -iodbc -kerberos -ldap -ldap-sasl -libedit -libmysqlclient -mhash -mssql -mysqli -oci8-instant-client -odbc -pcntl -pdo -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -sockets -sqlite (-sybase-ct) -sysvipc -tidy -vpx -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip" 0 KiB
[ebuild  NS    ] virtual/httpd-php-5.6:5.6::gentoo [5.5:5.5::gentoo] 0 KiB
[ebuild     U  ] sys-apps/openrc-0.16.4::gentoo [0.13.11::gentoo] USE="ncurses netifrc pam unicode -audit% -debug -newnet (-prefix) (-selinux) -static-libs -tools" 155 KiB
[ebuild     U  ] app-office/libreoffice-4.4.3.2::gentoo [4.4.1.2::gentoo] USE="bluetooth branding cups dbus eds gnome gstreamer gtk gtk3 mysql telepathy (-aqua) (-coinmp) -collada -debug (-firebird) -gltf -java -jemalloc -kde -odk -postgres {-test} -vlc" LIBREOFFICE_EXTENSIONS="-nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 -python3_3 -python3_4" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 162.301 KiB
[ebuild   R    ] app-misc/tracker-1.2.5:0/100::gentoo  USE="exif ffmpeg* flac gif gtk iso jpeg miner-fs mp3 nautilus pdf thunderbird tiff upower vorbis xml -cue (-eds) -firefox-bookmarks -gsf -gstreamer* -iptc -networkmanager -playlist -rss {-test} -upnp-av -xmp -xps" 0 KiB
[ebuild     U  ] app-text/evince-3.14.2-r1:0/evd3.4-evv3.3::gentoo [3.14.2:0/evd3.4-evv3.3::gentoo] USE="gnome introspection libsecret nautilus postscript tiff -debug -djvu -dvi -nsplugin% -t1lib -xps" 0 KiB
[ebuild     U ~] net-misc/owncloud-client-1.8.1::gentoo [1.8.0::gentoo] USE="nautilus qt5 sftp -doc -qt4 -samba {-test}" 0 KiB
[ebuild     U  ] kde-base/kdelibs-4.14.8:4/4.14::gentoo [4.14.3-r1:4/4.14::gentoo] USE="acl alsa bzip2 crypt fam handbook nls opengl policykit spell ssl udev udisks upower (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -nepomuk -openexr {-test} -zeroconf" CPU_FLAGS_X86="3dnow mmx sse sse2" 11.376 KiB
[ebuild  N     ] sys-devel/autoconf-archive-2015.02.04::gentoo  563 KiB
[ebuild     U  ] gnome-base/gnome-common-3.14.0-r1:3::gentoo [3.14.0:3::gentoo] USE="autoconf-archive%*" 0 KiB
[blocks b      ] >=sys-devel/autoconf-archive-2015.02.04 (">=sys-devel/autoconf-archive-2015.02.04" is blocking gnome-base/gnome-common-3.14.0)
[blocks b      ] =gnome-base/gnome-common-3.14.0 ("=gnome-base/gnome-common-3.14.0" is blocking sys-devel/autoconf-archive-2015.02.04)
[ebuild     UD ] www-client/epiphany-3.12.1::gentoo [3.14.2::gentoo] USE="jit nss -debug {-test}" 0 KiB
[ebuild   R    ] gnome-base/gnome-extra-apps-3.14.0-r1:3.0::gentoo  USE="games share%* shotwell tracker" 0 KiB
[blocks B      ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-11.3)

Total: 79 packages (53 upgrades, 2 downgrades, 5 new, 3 in new slots, 16 reinstalls), Size of downloads: 586.737 KiB
Conflict: 3 blocks (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/icu:0

  (dev-libs/icu-55.1:0/55::gentoo, installed) pulled in by
    dev-libs/icu:0/55= required by (media-libs/raptor-2.0.9:2/2::gentoo, installed)
                ^^^^^^                                                                                                 
    (and 7 more with the same problem)

  (dev-libs/icu-54.1-r1:0/54a::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/icu:0/54a= required by (www-client/chromium-43.0.2357.65:0/0::gentoo, installed)
                ^^^^^^^                                                                                                          
    (and 6 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-11.3:0/11::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/libav-9 required by (media-video/handbrake-0.9.9-r1:0/0::gentoo, ebuild scheduled for merge)

  (media-video/ffmpeg-2.2.15:0/52.55.55::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/ffmpeg-1.2.6-r1:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=media-video/ffmpeg-1.2.6-r1:0=[abi_x86_32(-),abi_x86_64(-)]) required by (media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r4:0.10/0.10::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg:0=[vaapi] required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    >=media-video/ffmpeg-2.0:0 required by (media-video/mplayer-1.2_pre20150214:0/0::gentoo, installed)
    media-video/ffmpeg:0= required by (media-sound/mpd-0.19.9-r1:0/0::gentoo, ebuild scheduled for merge)
    >=media-video/ffmpeg-2.2:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=media-video/ffmpeg-2.2:0=[abi_x86_32(-),abi_x86_64(-)]) required by (media-plugins/gst-plugins-libav-1.4.5-r1:1.0/1.0::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg:0/52.55.55=[vaapi] required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    media-video/ffmpeg:0= required by (app-misc/strigi-0.7.8-r1:0/0::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg:0= required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    media-video/ffmpeg:0/52.55.55= required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    >=media-video/ffmpeg-1.2:0= required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    media-video/ffmpeg:0= required by (media-libs/gegl-0.2.0-r2:0/0::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg required by @selected
    >=media-video/ffmpeg-1.2:0/52.55.55= required by (media-video/vlc-2.1.5-r1:0/5-7::gentoo, installed)
    >=media-video/ffmpeg-1.2.6-r1:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/ffmpeg-1.2.6-r1:0[abi_x86_32(-),abi_x86_64(-),X,encode,mp3,sdl,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-9-r2:0/0::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg:0= required by (media-libs/xine-lib-1.2.6-r1:1/1::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


meine make.conf im Anhang

Rüdiger
»Regidür« hat folgende Datei angehängt:
  • make.conf.txt (2,74 kB - 3 mal heruntergeladen - zuletzt: 21.06.2015, 15:38)

3

20.06.2015, 16:18

Hm, versuche es mal mit der aktuellen media-video/ffmpeg Version (2.6.3 ist stable auf amd64)
Und dann nimm am besten auch die aktuelle media-video/handbrake Version, die hat schon ein gescheites libav USE-Flag.

4

20.06.2015, 18:30

Tja, stirbt immer noch mit dem alten Fehler:

Quellcode

1
ERROR: opengl not found.


Irgendwo in den Tiefen des Systems muss ein Symlink nicht mehr vorhanden sein, weil die opengl Datein definitiv vorhanden sind. Ich habe den Fehler aber nie gefunden. Und die Hoffnung, dass das irgendwann mit einem neuen sync mal erledigt ist, scheint sich auch nicht zu erfüllen.

Es ist auch egal, ob opengl auf nvidia oder auf x11-xorg gesetzt ist.

Rüdiger

5

21.06.2015, 21:26

Sorry, ich kann dir nicht mehr ganz folgen (vermutlich gehört der letzte Beitrag auch zu einem anderen Thread?).